Package dev.plex.world

# Class OctaveOptions

java.lang.Object
dev.plex.world.NoiseOptions
dev.plex.world.OctaveOptions

public class OctaveOptions extends NoiseOptions

## Field Summary

Fields
Modifier and Type
Field
Description
`private final int`
`octaves`

## Constructor Summary

Constructors
Constructor
Description
`OctaveOptions(int x, int y, double frequency, double amplitude, boolean normalized, int octaves)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### octaves

private final int octaves

## Constructor Details

### OctaveOptions

public OctaveOptions(int x, int y, double frequency, double amplitude, boolean normalized, int octaves)